# Generated automatically from Makefile.in by configure.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

SHELL = /bin/sh
top_srcdir = .
srcdir = .

.SUFFIXES:
.SUFFIXES: .c .o

OPT=-g -O

AR = ar
AR_FLAGS = rc
RANLIB = @RANLIB@

CC = gcc
CFLAGS = -I. -Wall -g -O2
LDFLAGS = 
LIBS = -lm -lglib  -L/usr/X11/lib -lglib -lgdk -lgtk -lgtkxmhtml -lX11 -lXext -lXpm -lm
INSTALL = /usr/bin/install -c
prefix = /usr/local
exec_prefix = ${prefix}
bindir = $(exec_prefix)/bin
libdir = $(prefix)/lib
includedir = $(prefix)/include
infodir = $(prefix)/info

SOURCES=main.c menus.c bwindow_callbacks.c tcp.c url.c open_url.c browser.c bwindow.c history.c alert.c alerts.c pipedialog.c msq.c express.c util.c
#DOCS=PROG.texi PROG.info
DOCS=
MISC=configure mkinstalldirs install-sh aclocal.m4
OBJS=main.o menus.o bwindow_callbacks.o tcp.o url.o open_url.o browser.o bwindow.o history.o alert.o alerts.o pipedialog.o msq.o express.o util.o
LIB_OBJS=

all: express

# ??? here I make the bindir, libdir and infodir directories; you
# might not need all of these.  also, I assumed the names PROG and
# libMYPROG.a for the program and library.
install: all
	$(top_srcdir)/mkinstalldirs $(bindir)
	$(top_srcdir)/mkinstalldirs $(libdir)
	$(top_srcdir)/mkinstalldirs $(infodir)
	$(INSTALL) express $(bindir)/express

uninstall:
	$(RM) $(bindir)/express

express: $(OBJS)
	$(CC) $(CFLAGS) -o express $(OBJS) $(LIBS)

clean:
	$(RM) core *.o $(OBJS) $(LIB_OBJS) express

distclean: clean
	$(RM) Makefile config.h config.status config.cache config.log

mostlyclean: clean

maintainer-clean: clean

# automatic re-running of configure if the ocnfigure.in file has changed
${srcdir}/configure: configure.in
	cd ${srcdir} && autoconf

# autoheader might not change config.h.in, so touch a stamp file
${srcdir}/config.h.in: stamp-h.in
${srcdir}/stamp-h.in: configure.in
	        cd ${srcdir} && autoheader
	        echo timestamp > ${srcdir}/stamp-h.in

config.h: stamp-h
stamp-h: config.h.in config.status
	./config.status
Makefile: Makefile.in config.status
	./config.status
config.status: configure
	./config.status --recheck

